it.csi.mddtools.guigen

## Interface InlineCodeSnippet

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface InlineCodeSnippet
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Inline Code Snippet'.

  The following features are supported:

  - `Snippet Position`
  - `Snippet Name`
  - `Snippet Code`
  - `Lang`
  See Also:
    `GuigenPackage.getInlineCodeSnippet()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLang()` Returns the value of the 'Lang' attribute
    `java.lang.String` | `getSnippetCode()` Returns the value of the 'Snippet Code' attribute
    `java.lang.String` | `getSnippetName()` Returns the value of the 'Snippet Name' attribute
    `java.lang.String` | `getSnippetPosition()` Returns the value of the 'Snippet Position' attribute
    `void` | `setLang(java.lang.String value)` Sets the value of the '`Lang`' attribute
    `void` | `setSnippetCode(java.lang.String value)` Sets the value of the '`Snippet Code`' attribute
    `void` | `setSnippetName(java.lang.String value)` Sets the value of the '`Snippet Name`' attribute
    `void` | `setSnippetPosition(java.lang.String value)` Sets the value of the '`Snippet Position`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSnippetPosition

          java.lang.String getSnippetPosition()

      Returns the value of the 'Snippet Position' attribute.

      If the meaning of the 'Snippet Position' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Snippet Position' attribute.
      See Also:
        `setSnippetPosition(String)`, `GuigenPackage.getInlineCodeSnippet_SnippetPosition()`

    - #### setSnippetPosition

          void setSnippetPosition(java.lang.String value)

      Sets the value of the '`Snippet Position`' attribute.
      Parameters:
        `value` - the new value of the 'Snippet Position' attribute.
      See Also:
        `getSnippetPosition()`

    - #### getSnippetName

          java.lang.String getSnippetName()

      Returns the value of the 'Snippet Name' attribute.

      If the meaning of the 'Snippet Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Snippet Name' attribute.
      See Also:
        `setSnippetName(String)`, `GuigenPackage.getInlineCodeSnippet_SnippetName()`

    - #### setSnippetName

          void setSnippetName(java.lang.String value)

      Sets the value of the '`Snippet Name`' attribute.
      Parameters:
        `value` - the new value of the 'Snippet Name' attribute.
      See Also:
        `getSnippetName()`

    - #### getSnippetCode

          java.lang.String getSnippetCode()

      Returns the value of the 'Snippet Code' attribute.

      If the meaning of the 'Snippet Code' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Snippet Code' attribute.
      See Also:
        `setSnippetCode(String)`, `GuigenPackage.getInlineCodeSnippet_SnippetCode()`

    - #### setSnippetCode

          void setSnippetCode(java.lang.String value)

      Sets the value of the '`Snippet Code`' attribute.
      Parameters:
        `value` - the new value of the 'Snippet Code' attribute.
      See Also:
        `getSnippetCode()`

    - #### getLang

          java.lang.String getLang()

      Returns the value of the 'Lang' attribute.

      If the meaning of the 'Lang' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Lang' attribute.
      See Also:
        `setLang(String)`, `GuigenPackage.getInlineCodeSnippet_Lang()`

    - #### setLang

          void setLang(java.lang.String value)

      Sets the value of the '`Lang`' attribute.
      Parameters:
        `value` - the new value of the 'Lang' attribute.
      See Also:
        `getLang()`